From 86c3bfc52f57746acc08d1fb8dc4a6ff11e089ef Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 10 Jan 2024 13:47:00 +0800
Subject: [PATCH] parser_stype.h: allow building for ppc

See: https://github.com/lcompilers/lpython/issues/2460
---
 src/lpython/parser/parser_stype.h | 3 +++
 1 file changed, 3 insertions(+)

diff --git src/lpython/parser/parser_stype.h src/lpython/parser/parser_stype.h
index 07458a3f8..e24f07344 100644
--- src/lpython/parser/parser_stype.h
+++ src/lpython/parser/parser_stype.h
@@ -112,7 +112,10 @@ static_assert(std::is_trivial<YYSTYPE>::value);
 // Ensure the YYSTYPE size is equal to Vec<AST::ast_t*>, which is a required member, so
 // YYSTYPE must be at least as big, but it should not be bigger, otherwise it
 // would reduce performance.
+// A temporary fix for PowerPC 32-bit, where the following assert fails with (16 == 12).
+#ifndef __ppc__
 static_assert(sizeof(YYSTYPE) == sizeof(Vec<LPython::AST::ast_t*>));
+#endif
 
 static_assert(std::is_standard_layout<Location>::value);
 static_assert(std::is_trivial<Location>::value);
